/*div {
border: 1px;
border-color: black;
border-style: solid;
}
*/

html,body {
    height:100%;
    margin:0;
    padding:0;
    background-color: #f0eee9;
} 

header {
    background-image: url("Nimetön.jpg");
    background-position: center;
    background-size: cover;
    min-height: 60vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media screen and (min-width: 600px) {
    nav a {
        font-size: 15px;
        width: 100px;
        height: 20px;
        padding: 7px;
        margin: 3px 5px;
    }
}
nav a {
    background: #ee9d03;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: black;
    text-decoration: none;
    display: inline-block;
    border: 2px solid #5c4555;
    
}

nav a:hover {
    color: #f0eee9;
    background-color: #5c4555;
}

#valittu {
    color: black;
    background-color: #f0eee9;
}

.navi {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}

@media screen and (min-width: 600px) {
    .kehote {
        font-size: 20px;
    }
}


.kehote {
    border: 2px solid #5c4555;
    background-color: #Ee9d03;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    text-align: center;
    display: inline-block;
    color: black;
    padding: 16px 32px;
    cursor: pointer;

}
input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}

input[type=submit] {
  background-color: #04AA6D;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: #45a049;
}

.container {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
}

header h1 {
    font-size: 3rem;
    background: rgba(255,255,255,0.7);
    padding: 20px;
    border-radius: 10px;
}

section {
    flex: 1 0 auto;
    width: 90%;
    margin: auto;
    font-size: 20px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

}
section img {
    width: 100%;
    padding: 20px 0px 20px 0px;

}

div.tablecontainer {
    overflow-x: auto;
}

table, th, td {
    border: 1px solid;
    padding: 10px;
    text-align: center;
}

table {
    border-collapse: collapse;
    width: 100%;
}

h1 {
      color: #5c4555;
      font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
     font-size: 3rem;
     text-align: center;
}

h2 {
    color: black;
    border: 5px solid #ee9d03;
    padding: 20px;
    text-align: center;
    margin:auto;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

h3 {
    color: black;
    text-align: center ;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

p {
    color: rgb(0, 0, 0);
    text-align: center;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif
}

footer {
    
    position: relative;
    background-color: #85e7f2;
    margin-top: 40px;
    margin-bottom: 0;
    flex-shrink: 0;
    clear: both;
}

footer p {
    color:#5c4555;
    text-align: center;
    padding: 10px;

}

@media only screen and (min-width: 650px) {
    section {
    width: 75%;
}
.column {
    float:left;
    width: 45%;
    padding-right: 5%;
}
/*Clear floats after the columns*/
.row:after {
    content: "";
    display: table;
    clear:both;
}

header h1 {
    font-size: 4rem;
}
}

@media only screen and (min-width: 1025px) {
    section {
    width: 55%;
    }
.column {
    float:left;
    width: 45%;
    padding-right: 5%;}
/*Clear floats after the columns*/
.row:after {
    content: "";
    display: table;
    clear:both;
}


}
